package MT::Approver;

use strict;
use MT::Object;
use base qw( MT::Object );

__PACKAGE__->install_properties({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'blog_id' => 'integer not null',
        'name' => {
            type        => 'string',
            size        => 255,
        },
        'description' => {
            type        => 'text',
        },
        'order' => {
            type        => 'smallint',
            label       => 'Order',
        },
        'author' => {
            type        => 'text',
            label       => 'Approve author',
        },
        'approve_email_order' => {
            type        => 'string',
            size        => 255,
            label       => 'Send approve mail order',
        },
        'no_approve_email_order' => {
            type        => 'string',
            size        => 255,
            label       => 'Send no approve mail order',
        },

        # ̏F҂ւ̏F˗[M@ 0:MȂ/1:F˗ɑI/2:SɑM
        'send_approve_mail' => {
            type        => 'smallint',
            label       => 'Send mail',
        },

        # ߂ꂽƂ̂̏F҂ւ̍߂[ 0:MȂ/1:FsׂsF҂݂̂ɑM()/2:SɑM
        'send_no_approve_mail' => {
            type        => 'smallint',
            label       => 'Send mail',
        },
    },
    indexes => {
        id => 1,
        order => 1,
    },
    datasource => 'approver_workflow',
    primary_key => 'id',
});

1;
