package Workflow::App::AddressBook;

use strict;
use warnings;

use Encode;
use MT::AddressBook;

sub edit_address {
    my $app = shift;
    my %param;
    my $q = $app->param;
    my $id = $q->param('id');

    my $plugin = MT->component('Workflow');

    if (!$id) {
        $param{ new_object } = 1;
        $param{ page_title } = $plugin->translate('New Address');
    } else {
        my $address = MT::AddressBook->load({ id => $id, blog_id => $q->param('blog_id') || 0 });
        $param{ id } = $q->param('id');
        $param{ blog_id } =  $q->param('blog_id') || 0;
        $param{ name } = $address->name;
        $param{ email } = $address->email;
        $param{ description } = $address->description;
        $param{ page_title } = $plugin->translate('Update Address');
    }
    $param{ saved } = $q->param('saved');
    my $tmpl = 'edit_address.tmpl';
    return $app->build_page($tmpl, \%param);
}

1;
